invalid key/value pair in file /lib/udev/rules.d/

Bug #1376701 reported by dino99 on 2014-10-02
28
This bug affects 9 people
Affects Status Importance Assigned to Milestone
libgphoto2 (Ubuntu)
Low
Martin Pitt
libmtp (Ubuntu)
Low
Martin Pitt

Bug Description

from a fully updated Utopic (proposed enabled),(booting with systemd-boot), the syslog file shown these errors:

(following that "linux-boot-prober: debug: running /usr/lib/linux-boot-probes/50mounted-tests")

Oct 2 08:36:16 u32 systemd-udevd[241]: GOTO 'libgphoto2_usb_end' has no matching label in: '/lib/udev/rules.d/40-libgphoto2-6.rules'
Oct 2 08:36:16 u32 systemd-udevd[241]: invalid key/value pair in file /lib/udev/rules.d/40-usb-media-players.rules on line 26,starting at character 25 ('m')
Oct 2 08:36:16 u32 systemd-udevd[241]: invalid key/value pair in file /lib/udev/rules.d/69-libmtp.rules on line 1,starting at character 1 ('n')

That has happened while upgrading some packages from synaptic: purging an old kernel, installing a newest one

Then later, after grub2 processes ended, get these errors:

linux-boot-prober: debug: linux detected by /usr/lib/linux-boot-probes/50mounted-tests
Oct 2 08:43:15 u32 systemd[1]: Reloading.
Oct 2 08:43:15 u32 systemd[1]: [/lib/systemd/system/friendly-recovery.service:14] Executable path is not absolute, ignoring: dmesg --console-off
Oct 2 08:43:15 u32 systemd[1]: [/lib/systemd/system/rtkit-daemon.service:32] Unknown lvalue 'ControlGroup' in section 'Service'
Oct 2 08:43:15 u32 systemd[1]: Cannot add dependency job for unit systemd-vconsole-setup.service, ignoring: Unit systemd-vconsole-setup.service failed to load: No such file or directory.

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: systemd 208-8ubuntu7
ProcVersionSignature: Ubuntu 3.16.0-18.25-generic 3.16.3
Uname: Linux 3.16.0-18-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 2.14.7-0ubuntu2
Architecture: i386
CurrentDesktop: GNOME
Date: Thu Oct 2 14:10:08 2014
SourcePackage: systemd
UpgradeStatus: No upgrade log present (probably fresh install)

dino99 (9d9) wrote :
description: updated
dino99 (9d9) on 2014-10-02
tags: added: systemd-boot
description: updated
Martin Pitt (pitti) wrote :

This isn't an udev bug, but bugs in the udev rules that various packages install. Creating tasks accordingly.

/lib/udev/rules.d/40-libgphoto2-6.rules is indeed broken:

  SUBSYSTEM!="usb", GOTO="libgphoto2_usb_end"

That label doesn't exist.

affects: systemd (Ubuntu) → libgphoto2 (Ubuntu)
Changed in libgphoto2 (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Low
status: New → Triaged
Martin Pitt (pitti) wrote :

libmtp's rules start with

Unable to open ~/.mtpz-data for reading, MTPZ disabled.# UDEV-style hotplug map for libmtp

which is indeed broken; some error message from generating the .rules file crept in.

Changed in libmtp (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Martin Pitt (pitti) wrote :

The media-player-info one is bug 1364747.

Martin Pitt (pitti) wrote :

Fixed libghoto2 uploaded.

Changed in libgphoto2 (Ubuntu):
status: Triaged → Fix Committed
Martin Pitt (pitti) wrote :

Fixed libmtp uploaded.

Changed in libmtp (Ubuntu):
status: Triaged → Fix Committed
Martin Pitt (pitti) on 2014-10-07
Changed in libmtp (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
Alessio Treglia (quadrispro) wrote :

Hi Martin,

could you please send me the patches that you believe could apply to Debian too?

Martin Pitt (pitti) wrote :

Alessio,

I uploaded the media-player-info directly to Debian and will sync. I checked libmtp, this problem doesn't happen any more with 1.1.8, so there's nothing to do on the Debian side (otherwise I'd have filed a bug). The udev rule file in libgphoto2 is only in Ubuntu, so there's no bug in Debian. As for the whole file at large, I'll check this out more closely when I merge the package for 15.04. There was some back and forth upstream how to handle PtP cameras, and I believe this is fixed properly in the latest upstream versions.

On Tue, Oct 7, 2014 at 1:47 PM, Martin Pitt <email address hidden> wrote:
> The udev rule file in libgphoto2 is only in Ubuntu, so there's no
> bug in Debian. As for the whole file at large, I'll check this out more
> closely when I merge the package for 15.04. There was some back and
> forth upstream how to handle PtP cameras, and I believe this is fixed
> properly in the latest upstream versions.

Great, thanks!

--
Alessio Treglia | www.alessiotreglia.com
Debian Developer | <email address hidden>
Ubuntu Core Developer | <email address hidden>
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgphoto2 - 2.5.4-1ubuntu4

---------------
libgphoto2 (2.5.4-1ubuntu4) utopic; urgency=medium

  * debian/libgphoto2-6.udev: Fix typoed label name. (LP: #1376701)
 -- Martin Pitt <email address hidden> Tue, 07 Oct 2014 12:38:08 +0200

Changed in libgphoto2 (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libmtp - 1.1.6-20-g1b9f164-1ubuntu5

---------------
libmtp (1.1.6-20-g1b9f164-1ubuntu5) utopic; urgency=medium

  * Fix previous udev rules seddery to avoid build failure if the rules file
    isn't present (for !i386 builds).
 -- Martin Pitt <email address hidden> Tue, 07 Oct 2014 16:44:50 +0200

Changed in libmtp (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers